no.phhsnews.com


no.phhsnews.com / Slik kontrollerer du om utvidelsene dine slutter å fungere med Firefox 57

Slik kontrollerer du om utvidelsene dine slutter å fungere med Firefox 57


Med Firefox 57, planlagt til utgivelse den 14. november 2017, vil Mozilla avslutte støtte for eldre utvidelser, og bare støtte nyere WebExtensions . Slik kontrollerer du om utvidelsene dine slutter å fungere, og hvordan du fortsetter å bruke dem etter november, hvis du trenger det.

Hvorfor XUL-utvidelser kommer bort

Alle tradisjonelle utvidelser, inkludert XUL-utvidelser, blir avsluttet. De var veldig kraftige, men det var både styrke og svakhet. Den rene kraften i disse utvidelsene mente at de kunne endre Firefox-nettleserkoden, noe som kunne føre til ustabilitet og uskyldige malware-tilleggsprogrammer.

Mozilla har i stedet jobbet med WebExtensions, som ligner på Chrome og Edges tillegg . Dette er fremtiden for Firefox-utvidelser. Fordi disse tilleggene må fungere på en mer standard måte og ikke kan rotere med Firefox interne kode, bør de føre til færre problemer. Det bør også være lettere for utviklere å legge til tilleggsport fra Chrome til Firefox.

Firefox støtter for øyeblikket både tradisjonelle (eldre) utvidelser og WebExtensions. Med Firefox 57 vil de eldre utvidelsene slutte å fungere, og bare nyere WebExtensions vil fungere. Denne endringen er allerede live i Firefox Nightly, utviklingsversjonen av Firefox. Utviklere har blitt presset til å oppgradere sine utvidelser, men ikke alle har det som fører oss til problemet.

Slik ser du om utvidelsene dine slutter å fungere

Hvis du bruker Firefox i dag, kan du sjekke for å se hvilken av dine utvidelser vil slutte å fungere i versjon 57. For å sjekke, klikk på menyen> Add-ons og velg kategorien "Extensions".

Eldre utvidelser som slutter å jobbe, er merket med en "Legacy" -tag hvis du bruker Firefox 55 eller nyere. Moderne WebExtensions som fortsetter å virke, vises normalt.

Slik søker du etter nye utvidelser

Hvis en utvidelse har "Legacy" -tag, kan du sjekke denne listen over populære utvidelser med informasjon om deres oppgraderingsstatus. For eksempel, i skjermbildet ovenfor, er LastPass merket som Legacy-utvidelse som vil slutte å virke, men vi kan se at utviklerne planlegger å erstatte den med en WebExtension før Firefox 57s utgivelsesdato.

For mindre populære utvidelser kan det hende du trenger å utføre et websøk for å se om utvikleren planlegger en oppdatering. Utviklere må porte sine utvidelser til WebExtensions, og ikke alle utviklere vil gjøre det.

Hvis en utvidelse du er avhengig av, vil slutte å virke, må du kanskje søke etter et moderne alternativ som gjør noe lignende. Du kan søke etter bare tilleggsprogrammer som er kompatible med Firefox 57 eller nyere på Mozilla Add-ons-siden.

En tillegg som har taggen "Kompatibel med Firefox 57+", er en WebExtension som fortsetter å fungere. For eksempel har utvidelsen av brukeragentbryteren vi har installert ikke blitt planlagt for en oppgradering, så vi vil sannsynligvis installere en av de mer moderne brukeragentbryterutvidelsene.

RELATED: Nettleserutvidelser er et personvernsmerger: Ikke bruk så mange av dem

Dette er en god tid å vurdere om du faktisk trenger alle disse utvidelsene. Nettleserutvidelser kan være farlige, så det er en god ide å bare ha dem installert hvis de er veldig nyttige for deg og fra en pålitelig kilde.

Slik bruker du eldre utvidelser

Hvis du virkelig trenger en gammel utvidelse, Det er en måte å fortsette å bruke dem på trygt. Bytt til Firefox Extended Support Release, også kjent som Firefox ESR. Dette er en langsommere versjon av Firefox som hovedsakelig er beregnet for bedrifter som ikke vil ha store funksjonalgrader hver sjette uke.

Den nåværende Firefox ESR-utgivelsen er basert på Firefox 52 og vil bli støttet med sikkerhetsoppdateringer frem til 26. juni 2018 . Siden den er basert på Firefox 52, vil eldre utvidelser fortsette å fungere uten problemer.

Etter 26. juni 2018 må du oppgradere til nyere versjoner av Firefox ESR som ikke lenger vil støtte eldre utvidelser hvis du vil fortsett å motta sikkerhetsoppdateringer. Dette er ikke en permanent løsning, men det er en god måte å fortsette å bruke dine nåværende utvidelser i ytterligere sju måneder mens du vurderer mer moderne alternativer.


Alt du kan gjøre med Windows 10s nye Bash Shell

Alt du kan gjøre med Windows 10s nye Bash Shell

Windows 10s jubileumsoppdatering la til støtte for Linux-miljøer til Windows 10 tilbake i 2016. Men ikke bli lurt: dette er mer enn bare et Bash-skall. Det er et komplett kompatibilitetslag for å kjøre Linux-applikasjoner på Windows. Vi har dekket mange av tingene du kan gjøre i Windows 10s nye Bash-skall, så vi har avrundet alle disse guider til en mega-liste her, for Komme i gang med Linux på Windows RELATED: Slik installerer du og bruker Linux Bash Shell på Windows 10 Du kan installere et Linux-miljø og Bash-skall på en hvilken som helst versjon av Windows 10 , inkludert Windows 10 Home.

(how-top)

Slik skanner du en QR-kode Bruke Chrome på iPhone

Slik skanner du en QR-kode Bruke Chrome på iPhone

QR-koder (Quick Response) på mange steder, for eksempel annonser, reklametavler, forretningsvinduer og produkter. Men du trenger ikke nødvendigvis en egen app for å skanne dem. Hvis du bruker Google Chrome på iPhone, har den en QR-kodeskanner innebygd. RELATERT: QR-koder forklart: Hvorfor ser du disse torget Strekkoder overalt QR-koder ble først utviklet i 1994 for å spore deler i produksjonen av kjøretøy.

(how-top)